import { j as o } from "../../node_modules/react/jsx-runtime.mjs";
import { useState as c, useEffect as m } from "react";
import t from "./BitzPopover.module.less.mjs";
import f from "../../node_modules/antd/es/typography/index.mjs";
const { Paragraph: u } = f, E = (r) => {
  const { children: a, ellipsis: e = !1, ...n } = r, [p, s] = c(), l = () => {
    s(!1);
  }, i = () => {
    s(e);
  };
  return m(() => {
    s(e);
  }, [e]), /* @__PURE__ */ o.jsx("div", { ...n, className: t.bitzPopoverBlock, onMouseEnter: l, onMouseLeave: i, children: /* @__PURE__ */ o.jsx(u, { ellipsis: p, className: t.Paragraph, children: a }) });
};
export {
  E as default
};
